## sugar-read-activity-0.84 69

=== debian/changelog ===
sugar-read-activity-0.84 (69-4) unstable; urgency=low

  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Refresh patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Bump standards-version to 3.8.4.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Mar 2010 00:05:38 +0200

sugar-read-activity-0.84 (69-3) unstable; urgency=low

  * Add patch 1002 to include zipfile.py fetched from Python2.6 sources,
    as workaround for zip handling not Python 2.5 compatible.
  * Include upstream shipped sqlite db (needed after all).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2009 15:49:14 +0100

sugar-read-activity-0.84 (69-2) unstable; urgency=low

  * Fix recommend python-lxml, python-cairo, python-beautifulsoup and
    python-webkit.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2009 04:06:59 +0100

sugar-read-activity-0.84 (69-1) unstable; urgency=low

  * New upstream release.
  * Patch (using quilt) to use plain DeJaVu (not LGC branch).
  * Update (build-)dependencies:
    + Build-depend on quilt and patch-utils.
    + Depend on python-sugar, python-cjson and python-gconf.
    + Recommend ttf-dejavu-core, python-lxml, python-cairo,
      python-beautifulsoup and python-webkit.
  * Avoid installing unneeded empty database shipped upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2009 03:45:59 +0100

sugar-read-activity-0.84 (65-1) unstable; urgency=low

  * Initial release. Closes: bug#444021.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Oct 2009 18:15:19 +0100
